webkit-0.12.3: Binding to the Webkit library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.WebKit.GeolocationPolicyDecision

Contents

- Description
- Types
- Methods

Description

Object used to communicate with the application when downloading

Synopsis

- data GeolocationPolicyDecision
- class GObjectClass o => GeolocationPolicyDecisionClass o
- geolocationPolicyAllow :: GeolocationPolicyDecisionClass decision => decision -> IO ()
- geolocationPolicyDeny :: GeolocationPolicyDecisionClass decision => decision -> IO ()

# Description

WebKitGeolocationPolicyDecision objects are given to the application when geolocation-policy-decision-requested signal is emitted. The application uses it to tell the engine whether it wants to allow or deny geolocation for a given frame.

# Types

data GeolocationPolicyDecision Source

Instances

Eq GeolocationPolicyDecision |
Ord GeolocationPolicyDecision |
GObjectClass GeolocationPolicyDecision |
GeolocationPolicyDecisionClass GeolocationPolicyDecision |

class GObjectClass o => GeolocationPolicyDecisionClass o Source

Instances

GeolocationPolicyDecisionClass GeolocationPolicyDecision |

# Methods

geolocationPolicyAllow :: GeolocationPolicyDecisionClass decision => decision -> IO ()Source

Will send the allow decision to the policy implementer.

- Since 1.1.23

geolocationPolicyDeny :: GeolocationPolicyDecisionClass decision => decision -> IO ()Source

Will send the deny decision to the policy implementer.

- Since 1.1.23